Name:          python-netifaces
Version:       0.11.0
Release:       3mamba
Summary:       Portable network interface information
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           https://alastairs-place.net/projects/netifaces/
Source:        https://pypi.debian.net/netifaces/netifaces-%{version}.tar.gz
License:       MIT
Requires:      python >= %python_version
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
Portable network interface information.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n netifaces-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i '\,\.egg-info/,d' %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 0.11.0-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Thu Jun 08 2023 Sdk Build System <sdk@mambasoft.it> 0.11.0-2mamba
- rebuilt with python 3.10

* Tue Jun 01 2021 Automatic Build System <autodist@mambasoft.it> 0.11.0-1mamba
- automatic version update by autodist

* Mon Apr 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.9-2mamba
- rebuilt with py3* packages

* Fri Jan 04 2019 Automatic Build System <autodist@mambasoft.it> 0.10.9-1mamba
- automatic version update by autodist

* Tue Sep 11 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.7-1mamba
- update to 0.10.7

* Wed May 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.4-1mamba
- update to 0.10.4

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8-2mamba
- python 2.7 mass rebuild

* Thu Apr 18 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.8-1mamba
- update to 0.8

* Fri Apr 09 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.5-1mamba
- package created by autospec
